Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1367329 - why libdb4
Summary: why libdb4
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: bogofilter
Version: 24
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Adrian Reber
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-08-16 08:30 UTC by Harald Reindl
Modified: 2017-06-27 13:27 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-11-18 13:45:18 UTC


Attachments (Terms of Use)

Description Harald Reindl 2016-08-16 08:30:11 UTC
why does a package pull libdb4 in 2016 after that many years while anything else including the native bayes of SpamAssassin is using libdb5?
______________________________

Fedora:

ldd /usr/bin/bogofilter
 linux-vdso.so.1 (0x00007ffc337cb000)
 libdb-4.8.so => /lib64/libdb-4.8.so (0x00007f5914952000)
 libgsl.so.19 => /lib64/libgsl.so.19 (0x00007f5914510000)
 libgslcblas.so.0 => /lib64/libgslcblas.so.0 (0x00007f59142d2000)
 libm.so.6 => /lib64/libm.so.6 (0x00007f5913fc8000)
 libc.so.6 => /lib64/libc.so.6 (0x00007f5913c06000)
 libpthread.so.0 => /lib64/libpthread.so.0 (0x00007f59139e9000)
 /lib64/ld-linux-x86-64.so.2 (0x000055ff7c01a000)
______________________________

Debian:

ldd /usr/bin/bogofilter-bdb 
 linux-vdso.so.1 (0x00007ffe06bd4000) 
 libdb-5.3.so => /usr/lib/x86_64-linux-gnu/libdb-5.3.so (0x00007ff335cf1000) 
 libgsl.so.0 => /usr/lib/libgsl.so.0 (0x00007ff3358c4000) 
 libgslcblas.so.0 => /usr/lib/libgslcblas.so.0 (0x00007ff335686000) 
 libm.so.6 => /lib/x86_64-linux-gnu/libm.so.6 (0x00007ff335385000) 
 libc.so.6 => /lib/x86_64-linux-gnu/libc.so.6 (0x00007ff334fda000) 
 libpthread.so.0 => /lib/x86_64-linux-gnu/libpthread.so.0 (0x00007ff334dbd000) 
 /lib64/ld-linux-x86-64.so.2 (0x00007ff3360b2000)

Comment 1 Adrian Reber 2016-08-30 13:03:12 UTC
How would the database be upgraded when linking against db5 instead of db4? Can I just change to db5 and it keeps on working with the old db4 database or is there a manual database conversion necessary?

Comment 2 Harald Reindl 2016-08-30 13:20:56 UTC
not sure but,

exactly the same problem had "postgrey" and others as they did the switch many years ago (around 2009 as far as i remember) but given that db5 is way faster in many cases and *even debian* links bogfilter against db5 i was very surprised as it pulled db4 in a Fedora 24 box in 2016

in case of postgrey which did not start back then i just purged the database, anyways, Fedora shouldn't put the head in the sand and require forever multiple versions auf libdb

the current shape for bogofilter is horrible when you use it as spamassassin plugin to have a second (multiword-token bayes) besides the builtin one - the builtin is using libdb5 for a long time

Comment 4 Harald Reindl 2017-06-27 13:27:04 UTC
frankly it's one thing that the lidb stuff did not make it into F25 *but* bogofilter-1.2.4-6.fc24.x86_64 on a F25 system not including the bugfixes 9 months later - seriously?

* Thu Sep 22 2016 Adrian Reber <adrian@lisas.de> - 1.2.4-7 
- Added multiple upstream patches to fix various memory bugs 
- Fixes "[abrt] bogofilter: yyrealloc(): bogofilter killed by SIGABRT" (#1246282) 
- Fixes "why libdb4" (#1367329) by switching BR to libdb-devel (from db4-devel)


Note You need to log in before you can comment on or make changes to this bug.